Move tests to .jjb-test
[releng/global-jjb.git] / .jjb-test / expected-xml / github-python-tox-verify-master
1 <?xml version="1.0" encoding="utf-8"?>
2 <project>
3   <actions/>
4   <description>&lt;!-- Managed by Jenkins Job Builder --&gt;</description>
5   <keepDependencies>false</keepDependencies>
6   <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
7   <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
8   <concurrentBuild>true</concurrentBuild>
9   <assignedNode>build-vm</assignedNode>
10   <canRoam>false</canRoam>
11   <properties>
12     <com.coravy.hudson.plugins.github.GithubProjectProperty>
13       <projectUrl>$GIT_URL/$GERRIT_PROJECT/example-org/releng/ciman</projectUrl>
14     </com.coravy.hudson.plugins.github.GithubProjectProperty>
15     <hudson.model.ParametersDefinitionProperty>
16       <parameterDefinitions>
17         <hudson.model.StringParameterDefinition>
18           <name>PROJECT</name>
19           <description>Parameter to identify a Gerrit project. This is typically the
20 project repo path as exists in Gerrit.
21 For example: ofextensions/circuitsw
22 </description>
23           <defaultValue>releng/ciman</defaultValue>
24         </hudson.model.StringParameterDefinition>
25         <hudson.model.StringParameterDefinition>
26           <name>STREAM</name>
27           <description>Stream is often set to the same name as 'branch' but can
28 sometimes be used as a name representing a project's release code
29 name.
30 </description>
31           <defaultValue>master</defaultValue>
32         </hudson.model.StringParameterDefinition>
33         <hudson.model.StringParameterDefinition>
34           <name>GERRIT_PROJECT</name>
35           <description>Parameter to identify Gerrit project. This is typically the
36 project repo path as exists in Gerrit.
37 For example: ofextensions/circuitsw
38
39 Note that Gerrit will override this parameter automatically if a
40 job is triggered by Gerrit.
41 </description>
42           <defaultValue>releng/ciman</defaultValue>
43         </hudson.model.StringParameterDefinition>
44         <hudson.model.StringParameterDefinition>
45           <name>GERRIT_BRANCH</name>
46           <description>Parameter to identify a Gerrit branch.
47
48 Note that Gerrit will override this parameter automatically if a
49 job is triggered by Gerrit.
50 </description>
51           <defaultValue>master</defaultValue>
52         </hudson.model.StringParameterDefinition>
53         <hudson.model.StringParameterDefinition>
54           <name>GERRIT_REFSPEC</name>
55           <description>Parameter to identify a refspec when pulling from Gerrit.
56
57 Note that Gerrit will override this parameter automatically if a
58 job is triggered by Gerrit.
59 </description>
60           <defaultValue>refs/heads/master</defaultValue>
61         </hudson.model.StringParameterDefinition>
62         <hudson.model.StringParameterDefinition>
63           <name>LFTOOLS_VERSION</name>
64           <description>Version of lftools to install. Can be a specific version like
65 '0.6.0' or a PEP-440 definition.
66 https://www.python.org/dev/peps/pep-0440/
67 For example '&lt;1.0.0' or '&gt;=1.0.0,&lt;2.0.0'.
68 </description>
69           <defaultValue>&lt;1.0.0</defaultValue>
70         </hudson.model.StringParameterDefinition>
71         <hudson.model.StringParameterDefinition>
72           <name>TOX_DIR</name>
73           <description>Path to directory containing tox.ini file.
74 </description>
75           <defaultValue/>
76         </hudson.model.StringParameterDefinition>
77         <hudson.model.StringParameterDefinition>
78           <name>TOX_ENVS</name>
79           <description>Tox environments to run build against.
80 Example: docs,py2,py3
81 </description>
82           <defaultValue/>
83         </hudson.model.StringParameterDefinition>
84       </parameterDefinitions>
85     </hudson.model.ParametersDefinitionProperty>
86   </properties>
87   <scm class="hudson.plugins.git.GitSCM">
88     <configVersion>2</configVersion>
89     <userRemoteConfigs>
90       <hudson.plugins.git.UserRemoteConfig>
91         <name>origin</name>
92         <refspec>+refs/pull/*:refs/remotes/origin/pr/*</refspec>
93         <url>git@github.com:example-org/releng/ciman</url>
94         <credentialsId>test-credential</credentialsId>
95       </hudson.plugins.git.UserRemoteConfig>
96     </userRemoteConfigs>
97     <branches>
98       <hudson.plugins.git.BranchSpec>
99         <name>**</name>
100       </hudson.plugins.git.BranchSpec>
101     </branches>
102     <excludedUsers/>
103     <buildChooser class="hudson.plugins.git.util.DefaultBuildChooser"/>
104     <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
105     <authorOrCommitter>false</authorOrCommitter>
106     <wipeOutWorkspace>true</wipeOutWorkspace>
107     <pruneBranches>false</pruneBranches>
108     <remotePoll>false</remotePoll>
109     <gitTool>Default</gitTool>
110     <submoduleCfg class="list"/>
111     <relativeTargetDir/>
112     <reference/>
113     <gitConfigName/>
114     <gitConfigEmail/>
115     <skipTag>true</skipTag>
116     <scmName/>
117     <useShallowClone>false</useShallowClone>
118     <ignoreNotifyCommit>false</ignoreNotifyCommit>
119     <extensions>
120       <hudson.plugins.git.extensions.impl.SubmoduleOption>
121         <disableSubmodules>false</disableSubmodules>
122         <recursiveSubmodules>true</recursiveSubmodules>
123         <trackingSubmodules>false</trackingSubmodules>
124         <reference/>
125         <timeout>10</timeout>
126       </hudson.plugins.git.extensions.impl.SubmoduleOption>
127       <hudson.plugins.git.extensions.impl.WipeWorkspace/>
128     </extensions>
129   </scm>
130   <triggers class="vector">
131     <org.jenkinsci.plugins.ghprb.GhprbTrigger>
132       <spec/>
133       <adminlist/>
134       <allowMembersOfWhitelistedOrgsAsAdmin>false</allowMembersOfWhitelistedOrgsAsAdmin>
135       <whitelist/>
136       <orgslist/>
137       <cron/>
138       <triggerPhrase>^recheck$</triggerPhrase>
139       <onlyTriggerPhrase>false</onlyTriggerPhrase>
140       <useGitHubHooks>true</useGitHubHooks>
141       <permitAll>true</permitAll>
142       <autoCloseFailedPullRequests>false</autoCloseFailedPullRequests>
143       <extensions>
144         <org.jenkinsci.plugins.ghprb.extensions.status.GhprbSimpleStatus>
145           <commitStatusContext>JJB Verify</commitStatusContext>
146         </org.jenkinsci.plugins.ghprb.extensions.status.GhprbSimpleStatus>
147       </extensions>
148     </org.jenkinsci.plugins.ghprb.GhprbTrigger>
149   </triggers>
150   <builders>
151     <hudson.tasks.Shell>
152       <command>#!/bin/bash
153 # SPDX-License-Identifier: EPL-1.0
154 ##############################################################################
155 # Copyright (c) 2017 The Linux Foundation and others.
156 #
157 # All rights reserved. This program and the accompanying materials
158 # are made available under the terms of the Eclipse Public License v1.0
159 # which accompanies this distribution, and is available at
160 # http://www.eclipse.org/legal/epl-v10.html
161 ##############################################################################
162 echo &quot;---&gt; lftools-install.sh&quot;
163
164 # Script to install lftools via a version passed in via lf-infra-parameters
165 #
166 # Required parameters:
167 #
168 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
169 #                      set to a strict version number like '1.2.3' or using
170 #                      PEP-440 definitions.
171 #
172 #                      Examples:
173 #                          &lt;1.0.0
174 #                          &gt;=1.0.0,&lt;2.0.0
175 #
176 # By default a released version of lftools should always be used.
177 # The purpose of the 2 variables below is so that lftools devs can test
178 # unreleased versions of lftools. There are 2 methods to install a dev version
179 # of lftools:
180 #
181 #     1) gerrit patch: Used to test a patch that has not yet been merged.
182 #                      To do this set something like this:
183 #                          LFTOOLS_MODE=gerrit
184 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
185 #
186 #     2) git branch: Used to install an lftools version from a specific branch.
187 #                    To use this set the variables as follows:
188 #                          LFTOOLS_MODE=git
189 #                          LFTOOLS_REFSPEC=master
190 #
191 #     3) release : The intended use case and default setting.
192 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
193
194 LFTOOLS_MODE=release  # release | git | gerrit
195 LFTOOLS_REFSPEC=master
196
197 # Ensure we fail the job if any steps fail.
198 # DO NOT set -u as virtualenv's activate script has unbound variables
199 set -e -o pipefail
200
201 virtualenv --quiet &quot;/tmp/v/lftools&quot;
202 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
203 source &quot;/tmp/v/lftools/bin/activate&quot;
204 pip install --quiet --upgrade pip
205
206 case $LFTOOLS_MODE in
207     gerrit)
208         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
209         pushd /tmp/lftools
210         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
211         git checkout FETCH_HEAD
212         pip install --quiet --upgrade -r requirements.txt
213         pip install --quiet --upgrade -e .
214         popd
215         ;;
216
217     git)
218         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
219         ;;
220
221     release)
222         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
223             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
224         fi
225
226         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
227         ;;
228 esac
229
230 lftools --version
231
232 # pipdeptree prints out a lot of information because lftools pulls in many
233 # dependencies. Let's only print it if we want to debug.
234 # echo &quot;----&gt; Pip Dependency Tree&quot;
235 # pip install --quiet --upgrade pipdeptree
236 # pipdeptree
237 </command>
238     </hudson.tasks.Shell>
239     <hudson.tasks.Shell>
240       <command>#!/bin/bash
241 # SPDX-License-Identifier: EPL-1.0
242 ##############################################################################
243 # Copyright (c) 2017 The Linux Foundation and others.
244 #
245 # All rights reserved. This program and the accompanying materials
246 # are made available under the terms of the Eclipse Public License v1.0
247 # which accompanies this distribution, and is available at
248 # http://www.eclipse.org/legal/epl-v10.html
249 ##############################################################################
250 echo &quot;---&gt; tox-install.sh&quot;
251
252 # Ensure we fail the job if any steps fail.
253 # DO NOT set -u as virtualenv's activate script has unbound variables
254 set -e -o pipefail
255
256 virtualenv --quiet &quot;/tmp/v/tox&quot;
257 # shellcheck source=/tmp/v/tox/bin/activate disable=SC1091
258 source &quot;/tmp/v/tox/bin/activate&quot;
259 pip install --quiet --upgrade pip
260 pip install --quiet --upgrade pipdeptree
261 pip install --quiet --upgrade tox argparse
262
263 echo &quot;----&gt; Pip Dependency Tree&quot;
264 pipdeptree
265
266 #!/bin/bash
267 # SPDX-License-Identifier: EPL-1.0
268 ##############################################################################
269 # Copyright (c) 2017 The Linux Foundation and others.
270 #
271 # All rights reserved. This program and the accompanying materials
272 # are made available under the terms of the Eclipse Public License v1.0
273 # which accompanies this distribution, and is available at
274 # http://www.eclipse.org/legal/epl-v10.html
275 ##############################################################################
276 echo &quot;---&gt; tox-install.sh&quot;
277
278 # Ensure we fail the job if any steps fail.
279 # DO NOT set -u as virtualenv's activate script has unbound variables
280 set -e -o pipefail
281
282 cd &quot;$WORKSPACE/$TOX_DIR&quot;
283
284 if [ -n &quot;$TOX_ENVS&quot; ];
285 then
286     tox -e &quot;$TOX_ENVS&quot;
287 else
288     tox
289 fi
290 </command>
291     </hudson.tasks.Shell>
292   </builders>
293   <publishers>
294     <org.jenkinsci.plugins.postbuildscript.PostBuildScript>
295       <buildSteps>
296         <hudson.tasks.Shell>
297           <command>#!/bin/bash
298 # SPDX-License-Identifier: EPL-1.0
299 ##############################################################################
300 # Copyright (c) 2017 The Linux Foundation and others.
301 #
302 # All rights reserved. This program and the accompanying materials
303 # are made available under the terms of the Eclipse Public License v1.0
304 # which accompanies this distribution, and is available at
305 # http://www.eclipse.org/legal/epl-v10.html
306 ##############################################################################
307 echo &quot;---&gt; sysstat.sh&quot;
308 set +e  # DON'T fail build if script fails.
309
310 OS=$(facter operatingsystem)
311 case &quot;$OS&quot; in
312     Ubuntu)
313         SYSSTAT_PATH=&quot;/var/log/sysstat&quot;
314
315         # Dont run the script when systat is not enabled by default
316         if ! grep --quiet 'ENABLED=&quot;true&quot;' &quot;/etc/default/sysstat&quot;; then
317             exit 0
318         fi
319     ;;
320     CentOS|RedHat)
321         SYSSTAT_PATH=&quot;/var/log/sa&quot;
322     ;;
323     *)
324         # nothing to do
325         exit 0
326     ;;
327 esac
328
329 SAR_DIR=&quot;$WORKSPACE/archives/sar-reports&quot;
330 mkdir -p &quot;$SAR_DIR&quot;
331 cp &quot;$SYSSTAT_PATH/&quot;* &quot;$_&quot;
332 # convert sar data to ascii format
333 while IFS=&quot;&quot; read -r s
334 do
335     [ -f &quot;$s&quot; ] &amp;&amp; LC_TIME=POSIX sar -A -f &quot;$s&quot; &gt; &quot;$SAR_DIR/sar${s//[!0-9]/}&quot;
336 done &lt; &lt;(find &quot;$SYSSTAT_PATH&quot; -name &quot;sa[0-9]*&quot; || true)
337
338 # DON'T fail build if script fails.
339 exit 0
340 </command>
341         </hudson.tasks.Shell>
342         <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
343           <managedFiles>
344             <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
345               <fileId>jenkins-log-archives-settings</fileId>
346               <targetLocation/>
347               <variable>SETTINGS_FILE</variable>
348             </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
349           </managedFiles>
350         </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
351         <EnvInjectBuilder>
352           <info>
353             <propertiesContent>SERVER_ID=logs</propertiesContent>
354           </info>
355         </EnvInjectBuilder>
356         <hudson.tasks.Shell>
357           <command>#!/bin/bash
358 # SPDX-License-Identifier: EPL-1.0
359 ##############################################################################
360 # Copyright (c) 2017 The Linux Foundation and others.
361 #
362 # All rights reserved. This program and the accompanying materials
363 # are made available under the terms of the Eclipse Public License v1.0
364 # which accompanies this distribution, and is available at
365 # http://www.eclipse.org/legal/epl-v10.html
366 ##############################################################################
367 echo &quot;---&gt; create-netrc.sh&quot;
368
369 # Ensure we fail the job if any steps fail.
370 set -eu -o pipefail
371
372 NEXUS_URL=&quot;${NEXUS_URL:-$NEXUSPROXY}&quot;
373 CREDENTIAL=$(xmlstarlet sel -N &quot;x=http://maven.apache.org/SETTINGS/1.0.0&quot; \
374     -t -m &quot;/x:settings/x:servers/x:server[x:id='${SERVER_ID}']&quot; \
375     -v x:username -o &quot;:&quot; -v x:password \
376     &quot;$SETTINGS_FILE&quot;)
377
378 machine=$(echo &quot;$NEXUS_URL&quot; | awk -F/ '{print $3}')
379 user=$(echo &quot;$CREDENTIAL&quot; | cut -f1 -d:)
380 pass=$(echo &quot;$CREDENTIAL&quot; | cut -f2 -d:)
381
382 echo &quot;machine $machine login $user password $pass&quot; &gt; ~/.netrc
383 </command>
384         </hudson.tasks.Shell>
385         <hudson.tasks.Shell>
386           <command>#!/bin/bash
387 # SPDX-License-Identifier: EPL-1.0
388 ##############################################################################
389 # Copyright (c) 2017 The Linux Foundation and others.
390 #
391 # All rights reserved. This program and the accompanying materials
392 # are made available under the terms of the Eclipse Public License v1.0
393 # which accompanies this distribution, and is available at
394 # http://www.eclipse.org/legal/epl-v10.html
395 ##############################################################################
396 echo &quot;---&gt; lftools-install.sh&quot;
397
398 # Script to install lftools via a version passed in via lf-infra-parameters
399 #
400 # Required parameters:
401 #
402 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
403 #                      set to a strict version number like '1.2.3' or using
404 #                      PEP-440 definitions.
405 #
406 #                      Examples:
407 #                          &lt;1.0.0
408 #                          &gt;=1.0.0,&lt;2.0.0
409 #
410 # By default a released version of lftools should always be used.
411 # The purpose of the 2 variables below is so that lftools devs can test
412 # unreleased versions of lftools. There are 2 methods to install a dev version
413 # of lftools:
414 #
415 #     1) gerrit patch: Used to test a patch that has not yet been merged.
416 #                      To do this set something like this:
417 #                          LFTOOLS_MODE=gerrit
418 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
419 #
420 #     2) git branch: Used to install an lftools version from a specific branch.
421 #                    To use this set the variables as follows:
422 #                          LFTOOLS_MODE=git
423 #                          LFTOOLS_REFSPEC=master
424 #
425 #     3) release : The intended use case and default setting.
426 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
427
428 LFTOOLS_MODE=release  # release | git | gerrit
429 LFTOOLS_REFSPEC=master
430
431 # Ensure we fail the job if any steps fail.
432 # DO NOT set -u as virtualenv's activate script has unbound variables
433 set -e -o pipefail
434
435 virtualenv --quiet &quot;/tmp/v/lftools&quot;
436 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
437 source &quot;/tmp/v/lftools/bin/activate&quot;
438 pip install --quiet --upgrade pip
439
440 case $LFTOOLS_MODE in
441     gerrit)
442         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
443         pushd /tmp/lftools
444         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
445         git checkout FETCH_HEAD
446         pip install --quiet --upgrade -r requirements.txt
447         pip install --quiet --upgrade -e .
448         popd
449         ;;
450
451     git)
452         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
453         ;;
454
455     release)
456         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
457             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
458         fi
459
460         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
461         ;;
462 esac
463
464 lftools --version
465
466 # pipdeptree prints out a lot of information because lftools pulls in many
467 # dependencies. Let's only print it if we want to debug.
468 # echo &quot;----&gt; Pip Dependency Tree&quot;
469 # pip install --quiet --upgrade pipdeptree
470 # pipdeptree
471
472 #!/bin/bash
473 # SPDX-License-Identifier: EPL-1.0
474 ##############################################################################
475 # Copyright (c) 2017 The Linux Foundation and others.
476 #
477 # All rights reserved. This program and the accompanying materials
478 # are made available under the terms of the Eclipse Public License v1.0
479 # which accompanies this distribution, and is available at
480 # http://www.eclipse.org/legal/epl-v10.html
481 ##############################################################################
482 echo &quot;---&gt; logs-deploy.sh&quot;
483
484 # Ensure we fail the job if any steps fail.
485 set -eu -o pipefail
486
487 set -x  # Trace commands for this script to make debugging easier.
488
489 ARCHIVE_ARTIFACTS=&quot;${ARCHIVE_ARTIFACTS:-}&quot;
490 LOGS_SERVER=&quot;${LOGS_SERVER:-None}&quot;
491
492 if [ &quot;${LOGS_SERVER}&quot; == 'None' ]
493 then
494     set +x # Disable trace since we no longer need it
495
496     echo &quot;WARNING: Logging server not set&quot;
497 else
498     NEXUS_URL=&quot;${NEXUS_URL:-$NEXUSPROXY}&quot;
499     NEXUS_PATH=&quot;${SILO}/${JENKINS_HOSTNAME}/${JOB_NAME}/${BUILD_NUMBER}&quot;
500     BUILD_URL=&quot;${BUILD_URL}&quot;
501
502     lftools deploy archives -p &quot;$ARCHIVE_ARTIFACTS&quot; &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$WORKSPACE&quot;
503     lftools deploy logs &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$BUILD_URL&quot;
504
505     set +x  # Disable trace since we no longer need it.
506
507     echo &quot;Build logs: &lt;a href=\&quot;$LOGS_SERVER/$NEXUS_PATH\&quot;&gt;$LOGS_SERVER/$NEXUS_PATH&lt;/a&gt;&quot;
508 fi
509 </command>
510         </hudson.tasks.Shell>
511         <hudson.tasks.Shell>
512           <command>#!/bin/bash
513 # SPDX-License-Identifier: EPL-1.0
514 ##############################################################################
515 # Copyright (c) 2017 The Linux Foundation and others.
516 #
517 # All rights reserved. This program and the accompanying materials
518 # are made available under the terms of the Eclipse Public License v1.0
519 # which accompanies this distribution, and is available at
520 # http://www.eclipse.org/legal/epl-v10.html
521 ##############################################################################
522
523 # Clear log credential files
524 rm &quot;$SETTINGS_FILE&quot;
525 rm ~/.netrc
526 </command>
527         </hudson.tasks.Shell>
528         <hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
529           <regexp>^Build logs: .*</regexp>
530         </hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
531       </buildSteps>
532       <scriptOnlyIfSuccess>false</scriptOnlyIfSuccess>
533       <scriptOnlyIfFailure>false</scriptOnlyIfFailure>
534       <markBuildUnstable>false</markBuildUnstable>
535     </org.jenkinsci.plugins.postbuildscript.PostBuildScript>
536     <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup">
537       <patterns>
538         <hudson.plugins.ws__cleanup.Pattern>
539           <pattern>**/*.jenkins-trigger</pattern>
540           <type>EXCLUDE</type>
541         </hudson.plugins.ws__cleanup.Pattern>
542       </patterns>
543       <deleteDirs>false</deleteDirs>
544       <cleanupMatrixParent>false</cleanupMatrixParent>
545       <externalDelete/>
546       <cleanWhenSuccess>true</cleanWhenSuccess>
547       <cleanWhenUnstable>true</cleanWhenUnstable>
548       <cleanWhenFailure>true</cleanWhenFailure>
549       <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
550       <cleanWhenAborted>true</cleanWhenAborted>
551       <notFailBuild>true</notFailBuild>
552     </hudson.plugins.ws__cleanup.WsCleanup>
553   </publishers>
554   <buildWrappers>
555     <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
556     <hudson.plugins.build__timeout.BuildTimeoutWrapper>
557       <timeoutMinutes>10</timeoutMinutes>
558       <timeoutEnvVar>BUILD_TIMEOUT</timeoutEnvVar>
559       <failBuild>true</failBuild>
560       <writingDescription>false</writingDescription>
561       <timeoutPercentage>0</timeoutPercentage>
562       <timeoutMinutesElasticDefault>3</timeoutMinutesElasticDefault>
563       <timeoutType>absolute</timeoutType>
564     </hudson.plugins.build__timeout.BuildTimeoutWrapper>
565     <hudson.plugins.timestamper.TimestamperBuildWrapper/>
566     <com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
567       <user>test-credential</user>
568     </com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
569     <jenkins.plugins.openstack.compute.JCloudsOneOffSlave/>
570   </buildWrappers>
571 </project>